#######################################################################
# PAGE STYLES 
#######################################################################

package Style

# to use this style system output
# _header_
# all your page content, then
# _footer_

# use the page parameter 'style' to choose the appropriate style

# the style system uses
# _pagetitle_  - what gets displayed at the top of the browser window
# _pagebannerextra_ - anything extra you want displayed in the page banner
# _pagefooterextra_ - anything extra you want displayed in the footer

# defaults for the above macros
_pagetitle_ {_collectionname_}
_pagebannerextra_ {}
_pagefooterextra_ {}

# it also relies on lots of Globals, the most important of these are:
# _cookie_ - put in the cgi header
# _globalscripts_ - javascript stuff
# _httpiconchalk_ - the image down the left of the page
# _imagecollection_
# _imagehome_
# _imagehelp_
# _imagepref_
# _imagethispage_
# _linkotherversion_

_header_ {_cgihead_
_htmlhead_('background="_httpiconchalk_"')_startspacer__pagebanner_
}

# this declaration ends up being the same as style=restrict, never mind
_header_[version=text] {_cgihead_
_htmlhead__pagebanner_
}

# style=restrict lacks the sidestripe, version links and 
# language links
_header_[style=restrict] {_cgihead_
_htmlhead__pagebanner_
}


# _cgihead_ {Content-type: text/html
# _cookie_
#
# }	
_cgihead_{}


# htmlhead uses:
# _1_ - extra parameters for the body tag
# _pagetitle_
# _globalscripts_
_htmlhead_ {
<html>
<head>
<title>_pagetitle_</title>
_globalscripts_

</head>
<body bgcolor="\#ffffff" text="\#000000" link="\#006666" 
      alink="\#cc9900" vlink="\#666633" _1_>
}


# _startspacer_ is a spacer to get past the 10010 graphic. It contains an open
# <table> tag which must eventually be closed by _endspacer_.
_startspacer_ {
<table border=0 cellspacing=0 cellpadding=0 width="100%">
<tr><td valign=top width=65><img src="_httpimg_/spacer.gif" width="65" height="1" alt="" border="0"></td>
<td><center><table width="80%"><tr><td>
}


# pagebanner uses :
# _imagecollection_ 
# _imagehome_
# _imagehelp_
# _imagepref_
# _imagethispage_
# _pagebannerextra_
_pagebanner_ {
<center>
<table width=_pagewidth_ cellspacing=0 cellpadding=0>
  <tr valign=top>
    <td rowspan=2 _alignleft_>_imagecollection_</td>
    <td _alignright_>_javalinks_</td>
  </tr>

  <tr>
    <td _alignright_>_imagethispage_</td>
  </tr>

  <tr>
    <td colspan=2>_pagebannerextra_</td>
  </tr>
</table>
</center>
}

_pagebanner_[version=text] {
<center><h2><b><u>_imagecollection_</u></b></h2></center><p>
_javalinks_
_pagebannerextra_
<p>
}



# note that _pagefooter_ is for individual pages
_footer_ {
<p>
_pagefooterextra_
<center><i>_linkotherversion_</i></center>
<center><i>_linkotherlanguage_</i></center>
</table>
_endspacer__htmlfooter_
}


_footer_[style=restrict] {_pagefooterextra_
_htmlfooter_
}

_footer_[style=htmlonly] {_pagefooterextra_
_endspacer__htmlfooter_
}

_endspacer_ {
</td></tr></table>
</center>
</td></tr>
</table>
}

_htmlfooter_ {
</body>
</html>
}


# _alignleft_ and _alignright_ are overriden for right-to-left
# writing systems
_alignleft_ {align=left}
_alignright_ {align=right}


_globalscripts_{
<script>
<!--
    function img\_on(imgName) \{
        if (version == "n3") \{
            imgOn = eval(imgName + "\_on.src");
            document [imgName].src = imgOn;
        \}
    \}

    function img\_off(imgName) \{
        if (version == "n3") \{
            imgOff = eval(imgName + "\_off.src");
            document [imgName].src = imgOff;
        \}
    \}

    browserName = navigator.appName;          
    browserVer = parseInt(navigator.appVersion);
    if ((browserName == "Netscape" || browserName == "Microsoft Internet Explorer")
        && browserVer >= 3) version = "n3";
    else version = "n2";
              
    if (version == "n3") \{
	_javaimagesheader_
	_javaimagesnavbar_
	_javaimagescontent_
    \}
// -->
</script>
}

_globalscripts_ [version=text] {}