/**********************************************************************
 *
 * mggdbmsource.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: mggdbmsource.h 271 1999-06-16 02:00:34Z sjboddie $
 *
 *********************************************************************/


#ifndef MGGDBMSOURCE_H
#define MGGDBMSOURCE_H

#include "gsdlconf.h"
#include "text_t.h"
#include "comtypes.h"
#include "infodbclass.h"
#include "maptools.h"
#include "mgsearch.h"
#include "source.h"


class mggdbmsourceclass : public sourceclass {
protected:
  text_t gsdlhome;
  text_t collection;
  text_t collectdir;

  text_t parentOID;
  infodbclass parentinfo;
  text_tarray parentcontents;

  text_t gdbm_filename;
  gdbmclass *gdbmptr;
  
  mgsearchclass *mgsearchptr;

public:
  mggdbmsourceclass ();
  virtual ~mggdbmsourceclass ();

  // the gdbmptr remains the responsability of the calling code
  void set_gdbmptr (gdbmclass *thegdbmptr) {gdbmptr=thegdbmptr;}

  // the mgsearchptr remains the responsability of the calling code
  void set_mgsearchptr (mgsearchclass *themgsearchptr) {mgsearchptr=themgsearchptr;}

  void configure (const text_t &key, const text_tarray &cfgline);
  bool init (ostream &logout);
  bool translate_OID (const text_t &OIDin, text_t &OIDout, 
		      comerror_t &err, ostream &logout);
  bool get_metadata (const text_t &requestParams, const text_t &refParams, 
		     bool getParents, const text_tarray &fields, const text_t &OID,
		     MetadataInfo_tarray &metadata, comerror_t &err, ostream &logout);
  bool get_document (const text_t &OID, text_t &doc, 
		     comerror_t &err, ostream &logout);
};



#endif
