/**********************************************************************
 *
 * statusaction.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: statusaction.h 261 1999-06-08 04:29:42Z sjboddie $
 *
 *********************************************************************/


#ifndef STATUSACTION_H
#define STATUSACTION_H


#include "gsdlconf.h"
#include "action.h"
#include "receptionist.h"


class statusaction : public action {
protected:
  bool disabled;
  receptionist *recpt;

  void output_frameset (cgiargsclass &args, displayclass &disp, 
			outconvertclass &outconvert, 
			ostream &textout, ostream &logout);
  void output_select (cgiargsclass &args, displayclass &disp, 
		      outconvertclass &outconvert, 
		      ostream &textout, ostream &logout);

  void output_generalinfo (cgiargsclass &args, displayclass &disp, 
			   outconvertclass &outconvert, 
			   ostream &textout, ostream &logout);
  void output_argumentinfo (cgiargsclass &args, displayclass &disp, 
			    outconvertclass &outconvert, 
			    ostream &textout, ostream &logout);
  void output_actioninfo (cgiargsclass &args, displayclass &disp, 
			  outconvertclass &outconvert, 
			  ostream &textout, ostream &logout);
  void output_protocolinfo (cgiargsclass &args, displayclass &disp, 
			    outconvertclass &outconvert, 
			    ostream &textout, ostream &logout);
  void output_collectioninfo (cgiargsclass &args, displayclass &disp, 
			      outconvertclass &outconvert, 
			      ostream &textout, ostream &logout);
  void output_initlog (cgiargsclass &args, displayclass &disp, 
		       outconvertclass &outconvert, 
		       ostream &textout, ostream &logout);
  void output_errorlog (cgiargsclass &args, displayclass &disp, 
			outconvertclass &outconvert, 
			ostream &textout, ostream &logout);

  void output_errorpage (outconvertclass &outconvert, 
			 ostream &textout, ostream &logout,
			 text_t message);

public:
  statusaction ();
  virtual ~statusaction ();

  text_t get_action_name () {return "status";}
  void set_receptionist (receptionist *therecpt) {recpt=therecpt;}
  bool check_cgiargs (cgiargsinfoclass &argsinfo, cgiargsclass &args, 
		      ostream &logout);
  void get_cgihead_info (cgiargsclass &args, response_t &response,
			 text_t &response_data, ostream &logout);
  bool do_action (cgiargsclass &args, recptproto *collectproto,
		  displayclass &disp, outconvertclass &outconvert, 
		  ostream &textout, ostream &logout);

  void configure (const text_t &key, const text_tarray &cfgline);
};


#endif
